data:extend({
-- Item
  {
    type = "item",
    name = "kmg-coal-3",
	-- icon for inventory
    icon = "__kmg_coal__/graphics/icon/kmg_coal_3.png",
	-- icon for assembly machine
	-- dark_background_icon = "__kmg_coal__/graphics/icon/kmg_coal_1h.png",
    flags = {"goes-to-main-inventory"},
	fuel_value = "8PJ",
    subgroup = "raw-material",
    order = "b[coal]",
    stack_size = 100
  },

--Recipe
  {
    type = "recipe",
    name = "kmg-coal-3",
    energy_required = 10,
    enabled = false,
	category = "crafting-with-fluid",
    ingredients =
    {
      {"advanced-circuit", 4},
      {"low-density-structure", 4},
      {"kmg-coal-2", 1000},
      {type="fluid", name="sulfuric-acid", amount=3}
    },
    result = "kmg-coal-3"
  },

  
 --Tech
   {
    type = "technology",
    name = "kmg-tech-coal-3",
    icon = "__kmg_coal__/graphics/icon/kmg_tech_coal.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "kmg-coal-3"
      }
    },
    prerequisites = {"kmg-tech-coal-2"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 3},
        {"science-pack-2", 3},
		{"science-pack-3", 3},
		{"alien-science-pack", 5}
      },
      time = 20
    },
    order = "a-h-c",
  },
})