data:extend({
-- Item
  {
    type = "item",
    name = "kmg-coal-1",
	-- icon for inventory
    icon = "__kmg_coal__/graphics/icon/kmg_coal_1.png",
	-- icon for assembly machine
	dark_background_icon = "__kmg_coal__/graphics/icon/kmg_coal_1h.png",
    flags = {"goes-to-main-inventory"},
	fuel_value = "8GJ",
    subgroup = "raw-material",
    order = "b[coal]",
    stack_size = 100
  },

--Recipe
  {
    type = "recipe",
    name = "kmg-coal-1",
    energy_required = 10,
    enabled = false,
	category = "crafting-with-fluid",
    ingredients =
    {
      {"electronic-circuit", 4},
      {"iron-plate", 4},
      {"coal", 1000},
      {type="fluid", name="water", amount=10}
    },
    result = "kmg-coal-1"
  },

  
 --Tech
   {
    type = "technology",
    name = "kmg-tech-coal-1",
    icon = "__kmg_coal__/graphics/icon/kmg_tech_coal.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "kmg-coal-1"
      }
    },
    prerequisites = {"automation"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 3}
      },
      time = 40
    },
    order = "a-h-c",
  },
})