data:extend({
-- Item
  {
    type = "item",
    name = "kmg-coal-2",
	-- icon for inventory
    icon = "__kmg_coal__/graphics/icon/kmg_coal_2.png",
	-- icon for assembly machine
	-- dark_background_icon = "__kmg_coal__/graphics/icon/kmg_coal_1h.png",
    flags = {"goes-to-main-inventory"},
	fuel_value = "8TJ",
    subgroup = "raw-material",
    order = "b[coal]",
    stack_size = 100
  },

--Recipe
  {
    type = "recipe",
    name = "kmg-coal-2",
    energy_required = 10,
    enabled = false,
	category = "crafting-with-fluid",
    ingredients =
    {
      {"advanced-circuit", 4},
      {"steel-plate", 4},
      {"kmg-coal-1", 1000},
      {type="fluid", name="crude-oil", amount=2}
    },
    result = "kmg-coal-2"
  },

  
 --Tech
   {
    type = "technology",
    name = "kmg-tech-coal-2",
    icon = "__kmg_coal__/graphics/icon/kmg_tech_coal.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "kmg-coal-2"
      }
    },
    prerequisites = {"kmg-tech-coal-1"},
    unit =
    {
      count = 120,
      ingredients =
      {
        {"science-pack-1", 3},
        {"science-pack-2", 4},
		{"science-pack-3", 5}
      },
      time = 30
    },
    order = "a-h-c",
  },
})